%{?python_enable_dependency_generator}

%global libname qdarkstyle
%global srcname QDarkStyle

Name:     python-%{libname}
Version:  2.6.5
Release:  1%{?dist}
Summary:  A dark stylesheet for Qt applications

License:  MIT and CC-BY
URL:      https://github.com/ColinDuquesnoy/QDarkStyleSheet
Source0:  %{pypi_source}

BuildArch: noarch

%description
%{summary}.


%package -n python3-%{libname}
Summary: %{summary}
BuildRequires: python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{libname}
%{summary}.


%prep
%autosetup -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install


%files -n python3-%{libname}
%doc AUTHORS.md
%doc CHANGES.md
%doc CONTRIBUTING.md
%license LICENSE.md
%doc PRODUCTION.md
%doc README.md
%{_bindir}/qdarkstyle
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{libname}

%changelog
* Tue Jan 15 2019 Jonny Heggheim <hegjon@gmail.com> - 2.6.5-1
- Inital package
